LIBKECCAK_STATE_WIPE_SPONGE(3)

NAME
libkeccak_state_wipe_sponge - Securely erase the Keccak sponge state

SYNOPSIS
#include <libkeccak.h>
void libkeccak_state_wipe_sponge(struct libkeccak_state *state);

Link with -lkeccak.

DESCRIPTION
The libkeccak_state_wipe_sponge() function securely erases the state of the Keccak sponge.

RETURN VALUES
The libkeccak_state_wipe_sponge() function does not return any value.

ERRORS
The libkeccak_state_wipe_sponge() function cannot fail.

SEE ALSO
libkeccak_state_wipe_message(3), libkeccak_state_wipe(3), libkeccak_state_fast_destroy(3), libkeccak_state_destroy(3), libkeccak_state_reset(3)